#include <iostream>
#include <vector>
#include <set>
#include <deque>
#include <queue>
#include <map>
#include <cmath>
#include <algorithm>

using namespace std;

using ll = long long;
using pll = pair<long long, long long>;
using vll = vector <long long>;


vector <ll> factor(ll n) {
	ll num = n;
	if (n == 2)
		return { 2 };
	else if (n == 3)
		return { 3 };

	vector <ll> res;
	for (ll i = 2; i * i <= n; ++i) {
		if (num % i == 0)
			res.push_back(i);
		while (num % i == 0)
			num /= i;
	}
	if (num != 1)
		res.push_back(num);
	return res;
}


int main()
{
	//ios::sync_with_stdio(0);
	//cin.tie(0);
	cout << fixed;
	cout.precision(8);


	ll n;
	cin >> n;
	vector <pll> vec(n);

	vector <ll> d(1e6 + 10, 0);

	for (int i = 0; i < n; ++i) {
		cin >> vec[i].first;
		vec[i].second = i;
	}

	sort(vec.begin(), vec.end());

	vector <ll> ans(n);
	for (int i = 0; i < n; ++i) {
		ll el = vec[i].first;
		if (d[el] != 0) {
			ans[vec[i].second] = d[el];
			continue;
		}
		vector <ll> v = factor(el);

		bool f = false;
		for (auto div : v) {
			if (d[ll(el / div)] != 0) {
				d[el] = 3 - d[el / div];
				ans[vec[i].second] = d[el];
				f = true;
				break;
			}
		}
		if (!f) {
			d[el] = 1;
			ans[vec[i].second] = 1;
		}
	}

	for (auto el : ans)
		cout << el << ' ';
}